## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate bodhi

Name:           rust-bodhi
Version:        2.2.0
Release:        %autorelease
Summary:        Bodhi REST API client

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/bodhi
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Bodhi REST API client.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+data-tests-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+data-tests-devel %{_description}

This package contains library source intended for building other packages which
use the "data-tests" feature of the "%{crate}" crate.

%files       -n %{name}+data-tests-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+offline-tests-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+offline-tests-devel %{_description}

This package contains library source intended for building other packages which
use the "offline-tests" feature of the "%{crate}" crate.

%files       -n %{name}+offline-tests-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+online-tests-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+online-tests-devel %{_description}

This package contains library source intended for building other packages which
use the "online-tests" feature of the "%{crate}" crate.

%files       -n %{name}+online-tests-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
# * remove example binaries: they take a long time to build
rm -r examples/

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * skip doctests: they take a long time and tons of memory to build
%cargo_test -- --lib
%endif

%changelog
## START: Generated by rpmautospec
* Mon Apr 08 2024 Fabio Valentini <decathorpe@gmail.com> - 2.2.0-1
- Update to version 2.2.0; Fixes RHBZ#2273887

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Nov 16 2023 Fabio Valentini <decathorpe@gmail.com> - 2.1.2-1
- Update to version 2.1.2; Fixes RHBZ#2249689

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Mar 21 2023 Fabio Valentini <decathorpe@gmail.com> - 2.1.1-1
- Update to version 2.1.1; Fixes RHBZ#2177099

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 01 2022 Fabio Valentini <decathorpe@gmail.com> - 2.0.1-1
- Update to version 2.0.1; Fixes RHBZ#2088211

* Tue Feb 01 2022 Fabio Valentini <decathorpe@gmail.com> - 2.0.0-1
- Update to version 2.0.0; Fixes RHBZ#2048849

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Dec 21 2021 Fabio Valentini <decathorpe@gmail.com> - 1.1.1-2
- Disable tests to work around codegen issues on i686 with LLVM 12

* Tue Dec 21 2021 Fabio Valentini <decathorpe@gmail.com> - 1.1.1-1
- Update to version 1.1.1; Fixes RHBZ#2027878

* Sat Sep 25 2021 Fabio Valentini <decathorpe@gmail.com> - 1.1.0-1
- Update to version 1.1.0; Fixes RHBZ#2007337

* Fri Aug 20 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.5-1
- Update to version 1.0.5; Fixes RHBZ#1992834

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 29 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.4-1
- Update to version 1.0.4.
- Fixes RHBZ#1960453

* Mon Mar 08 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.3-1
- Update to version 1.0.3.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Dec 15 2020 Fabio Valentini <decathorpe@gmail.com> - 1.0.1-1
- Update to version 1.0.1.

* Tue Nov 03 2020 Fabio Valentini <decathorpe@gmail.com> - 0.6.4-1
- Update to version 0.6.4.

* Fri Aug 28 2020 Fabio Valentini <decathorpe@gmail.com> - 0.6.2-1
- Update to version 0.6.2.

* Sun Aug 16 2020 Fabio Valentini <decathorpe@gmail.com> - 0.6.1-1
- Update to version 0.6.1.

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jun 23 2020 Fabio Valentini <decathorpe@gmail.com> - 0.6.0-1
- Update to version 0.6.0.

* Wed May 20 13:12:51 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.5.10-1
- Update to 0.5.10

* Wed Mar 25 19:49:29 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.5.9-1
- Update to 0.5.9

* Fri Mar 20 2020 Fabio Valentini <decathorpe@gmail.com> - 0.5.8-1
- Update to version 0.5.8.

* Thu Mar 05 2020 Fabio Valentini <decathorpe@gmail.com> - 0.5.7-1
- Update to version 0.5.7.

* Sat Feb 29 2020 Fabio Valentini <decathorpe@gmail.com> - 0.5.6-1
- Update to version 0.5.6.

* Sun Feb 16 2020 Fabio Valentini <decathorpe@gmail.com> - 0.5.5-1
- Update to version 0.5.5.

* Mon Feb 10 2020 Fabio Valentini <decathorpe@gmail.com> - 0.5.4-1
- Initial package

## END: Generated by rpmautospec
